This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 857882 (CVE-2012-4400)

Summary: CVE-2012-4400 moodle: File upload size constraint issue (MSA-12-0051)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: limburgher
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120917,reported=20120904,source=oss-security,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,fedora-17/moodle=affected,fedora-16/moodle=affected,epel-6/moodle=affected,epel-5/moodle=notaffected
Fixed In Version: moodle 2.3.2, moodle 2.2.5, moodle 2.1.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-21 15:54:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 857981, 857983, 857984    
Bug Blocks:    

Description Jan Lieskovsky 2012-09-17 08:05:49 EDT
A possibility to bypass file upload size constraint was found in the way the webservice script, called from the filepicker front end of Moodle, a course management system, performed sanitization of 'maxbytes' variable. A remote attacker could issue a specially-crafted request that, when processed could allow an attacker to upload a file even if it was larger than specified constraint.

Upstream patch:
[1] http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-30792

References:
[2] http://www.openwall.com/lists/oss-security/2012/09/17/1
Comment 1 Jan Lieskovsky 2012-09-17 08:23:33 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the moodle package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL 5.
Comment 2 Jon Ciesla 2012-09-17 12:19:07 EDT
Update in progress, not linked to any BZ, none assigned to me.
Comment 3 Jan Lieskovsky 2012-09-17 12:24:33 EDT
(In reply to comment #2)
> Update in progress, not linked to any BZ, none assigned to me.

Thanks, Jon. Do you need child bugs yet?
Comment 4 Jon Ciesla 2012-09-17 12:27:52 EDT
Not really, only to attach to the Bodhi update.  I've already got the builds and the updates done and in the pipe.  Might be good for completeness.
Comment 5 Prasad J Pandit 2012-09-17 12:48:09 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 857981]
Comment 6 Prasad J Pandit 2012-09-17 12:51:59 EDT
Created moodle tracking bugs for this issue

Affects: fedora-16 [bug 857983]
Comment 7 Prasad J Pandit 2012-09-17 12:53:56 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 857984]